Mailinglist Archive: opensuse-buildservice (339 mails)

< Previous Next >
Re: [opensuse-buildservice] Mandriva building issues in BS
  • From: Ludwig Nussel <ludwig.nussel@xxxxxxx>
  • Date: Mon, 17 Mar 2008 17:15:30 +0100
  • Message-id: <200803171715.30897.ludwig.nussel@xxxxxxx>
Michal Marek wrote:
Ladislav Michnovič wrote:
On Wed, Mar 5, 2008 at 5:39 PM, Michal Marek <mmarek@xxxxxxx> wrote:

I don't know about Mandriva packaging policies, but I guess packagers
are expected to use the unversioned names in BuildRequires, which saves
you such mass substitutions.

Yes, you're right. Thanks for clarifying.

But I still see this expansion error for Mandriva2008:
have choice for kernel >= 2.4.18 needed by lib64alsa2:
kernel-laptop-2.6.22.9-1mdv kernel-server-2.6.22.9-1mdv
kernel-desktop-2.6.22.9-1mdv

and Mandriva2007 x86_64 build fails on error:
...
installing kernel-2.6.17.5mdv-1-1mdv2007.0
Cannot find a boot loader installed
error: %post(kernel-2.6.17.5mdv-1-1mdv2007.0.x86_64) scriptlet failed,
exit status 21

Possible solution to both problems would be to break the (rather
strange) lib*alsa2 -> kernel dependency. The builds run on a 2.6.16.x
(SLES10) kernel anyway.

There already is
Ignore: libalsa2:kernel
in the config so I guess there should also be
Ignore: lib64alsa2:kernel

cu
Ludwig

--
(o_ Ludwig Nussel
//\
V_/_ http://www.suse.de/
SUSE LINUX Products GmbH, GF: Markus Rex, HRB 16746 (AG Nuernberg)

---------------------------------------------------------------------
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-buildservice+help@xxxxxxxxxxxx

< Previous Next >
Follow Ups